Redmine - Patch #19655

Set a back_url when forcing new login after session expiration
2015-04-17 16:47 - Holger Just

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 2.6.5

Description

Right now, when a session expired (either due to long inactivity or general maximum duration), the user is redirected to /login without
a back_url. After login, the user is thus lost and doesn't return to where they were. This is thus a deviation from the normal forced
authentication flow.

The attached patch, we extracted from Planio fixes this by re-purposing the existing means for a proper redirect to /login and thus
sets a matching back_url. The patch is made against current trunk at r14180 but should also apply cleanly to all prior versions until at
least 2.5.

Related issues:
Related to Redmine - Patch #18980: Parameter back_url not set on redirect to ... Closed

Associated revisions

Revision 14245 - 2015-05-09 12:43 - Jean-Philippe Lang

Set a back_url when forcing new login after session expiration (#19655).

Patch by Holger Just.

Revision 14249 - 2015-05-10 09:21 - Jean-Philippe Lang
Merged r14245 (#19655).

Revision 14253 - 2015-05-10 09:26 - Jean-Philippe Lang
Merged r14245 (#19655).

History

#1 - 2015-04-17 16:47 - Holger Just

- File 0001-Set-a-back_url-when-forcing-new-login-after-session-.patch added

#2 - 2015-04-17 21:49 - Sebastian Paluch
Duplicates #18980.

#3 - 2015-04-17 21:55 - Holger Just

Compared to #18980, this patch doesn't duplicate the behavior or require_login and contains working tests.

#4 - 2015-04-21 02:55 - Go MAEDA

- Related to Patch #18980: Parameter back_url not set on redirect to login page when session has expired added

#5 - 2015-05-09 12:43 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.3

Patch committed, thanks.

#6 - 2015-05-10 09:21 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://plan.io/redmine-hosting
https://www.redmine.org/projects/redmine/repository/svn/revisions/14180
https://www.redmine.org/issues/18980
https://www.redmine.org/issues/18980

#7 - 2015-05-10 09:26 - Jean-Philippe Lang
- Target version changed from 3.0.3 to 2.6.5

Files

0001-Set-a-back_url-when-forcing-new-login-after-session-.patch 3.05 KB 2015-04-17 Holger Just
